package net.knarcraft.blockhunt.manager;

import net.knarcraft.blockhunt.MemoryStorage;
import net.knarcraft.blockhunt.command.DefaultCommand;
import net.knarcraft.blockhunt.config.Key;
import net.knarcraft.blockhunt.config.Permission;

import java.util.List;

public class CommandManager {


    public final String name;
    public final String label;
    public final String args;
    public final String argumentAliases;
    public final Permission permission;
    public final Key help;
    public final boolean enabled;
    public final List<String> mainTABlist;
    public final DefaultCommand CMD;
    public final String usage;

    public CommandManager(String name, String label, String args, String argumentAliases, Permission permission, Key help, Boolean enabled, List<String> mainTABlist,
                          DefaultCommand CMD, String usage) {
        this.name = name;
        this.label = label;
        this.args = args;
        this.argumentAliases = argumentAliases;
        this.permission = permission;
        this.help = help;
        this.enabled = enabled;
        this.mainTABlist = mainTABlist;
        this.CMD = CMD;
        this.usage = usage;

        MemoryStorage.commands.add(this);
    }
}
